Skip to main content
POST
https://{tenantDomain}/api/v2
/
users
/
{id}
/
recovery-code-regeneration
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Users.RegenerateRecoveryCodeAsync(
            "id"
        );
    }

}
{
  "recovery_code": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the user to regenerate a multi-factor authentication recovery code for.

Response

New recovery code successfully generated.

recovery_code
string

New account recovery code.